Bug 253562 - Creates malformed cfg-file if I use "reboot --eject"
Summary: Creates malformed cfg-file if I use "reboot --eject"
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pykickstart (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-20 16:27 UTC by mattias hellstrom
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 14:29:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mattias hellstrom 2007-08-20 16:27:43 UTC
Description of problem: Creates malformed cfg-file if I use "reboot --eject" by 
injecting " --eject" after the newline, before the following statement (in this 
case a comment). 


Version-Release number of selected component (if applicable): 2.7.7-1.fc7


How reproducible: every time


Steps to Reproduce:
1. add option --eject to the reboot command in a ks.cfg
2. open the ks in system-config-kickstart (or revisor)
3. save the file
  
Actual results:
reboot
 --eject# System timezone

Expected results:
reboot --eject
# system timezone
Additional info: This also happens in revisor, I guess you share the kickstart 
parser/generator.

Comment 1 Chris Lumens 2007-08-22 14:29:08 UTC
This will be fixed in the next build of pykickstart.


Note You need to log in before you can comment on or make changes to this bug.